# Returns Target Groups for the given Target

Returns the Target Groups that the specified Target belongs to.

Endpoint: GET /cf/admin/targets/{identifier}/segments
Version: 1.0
Security: x-api-key

## Path parameters:

  - `identifier` (string, required)
    Unique identifier for the object in the API.

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier

  - `orgIdentifier` (string, required)
    Organization Identifier

  - `projectIdentifier` (string, required)
    The Project identifier

  - `environmentIdentifier` (string, required)
    Environment Identifier

## Response 200 fields (application/json):

  - `excludedSegments` (array)
    A list of target groups (segments) that the target is excluded from.

  - `excludedSegments.identifier` (string)
    The unique identifier

  - `excludedSegments.name` (string)
    The name

  - `identifier` (string, required)
    The unique identifier for the target

  - `includedSegments` (array)
    A list of target groups (segments) that the target is included in.

  - `ruleSegments` (array)
    A list of target groups (segments) that the target is included in via group rules.

## Response 401 fields (application/json):

  - `code` (string, required)
    The http error code
    Example: 404

  - `details` (object)
    Additional details about the error

  - `message` (string, required)
    The reason the request failed
    Example: "Error retrieving projects, organization 'default_org' does not exist"


